Export full environment and its resources into Terraform manifests
curl --request GET \
--url https://api.qovery.com/environment/{environmentId}/terraformExport \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qovery.com/environment/{environmentId}/terraformExport"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qovery.com/environment/{environmentId}/terraformExport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"Environment Export
Export full environment and its resources into Terraform manifests
GET
/
environment
/
{environmentId}
/
terraformExport
Export full environment and its resources into Terraform manifests
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Environment ID
Query Parameters
export Secrets from configuration and include them into Terraform export
Response
Export full environment and its resources into Terraform manifests (ZIP file)
The response is of type file.
Was this page helpful?